@import url("./variables.css");

/* about */

.about-inner {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

@media screen and (max-width: 960px) {
  .about-inner {
    flex-direction: column;
  }
}

.about-box-Lg {
  width: 41.999%;
}

.about-box-Rg {
  width: 49.9999%;
  margin-top: 200px;
}

@media screen and (max-width: 960px) {
  .about-box-Lg {
    width: 100%;
  }

  .about-box-Rg {
    width: 100%;
    margin-top: 0px;
  }
}

.about-head2 {
  margin-bottom: 160px;
}

.about-textWrap {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  margin-bottom: 8rem;
}

@media screen and (max-width: 960px) {
  .about-head2 {
    margin-bottom: 64px;
  }

  .about-textWrap {
    margin-bottom: 5rem;
  }
}

.parallax.about-img {
  height: 54%;
}

@media screen and (max-width: 960px) {
  .parallax.about-img {
    display: none;
  }
}

/* reason */
.reason-box {
  display: flex;
  flex-direction: row;
  gap: 3rem;
}

.reason-box-wrap {
  width: 42%;
}

.reason-box.box1,
.reason-box.box2,
.reason-box.box3 {
  margin-bottom: 8rem;
}

.reason-box.box2,
.reason-box.box4 {
  justify-content: flex-end;
}

.reason-box.box2 .reason-box-wrap {
  width: 44%;
  align-items: center;
  padding-top: 40px;
}

.reason-box.box2 {
  justify-content: flex-end;
}

.reason-box.box4 {
  margin-bottom: 8rem;
}

@media screen and (max-width: 960px) {
  .reason-box {
    flex-direction: column;
    gap: 2rem;
  }

  .reason-box.box1 img {
    width: 100%;
  }

  .reason-box-wrap {
    width: 100%;
  }

  .reason-box.box2 img {
    max-width: 70%;
    max-height: 57vh;
  }

  .reason-box.box2 .reason-box-wrap {
    padding-top: 0px;
    width: 100%;
  }

  .reason-box.box1,
  .reason-box.box2,
  .reason-box.box3 {
    margin-bottom: 6rem;
  }

  .reason-box.box1,
  .reason-box.box3 {
    flex-direction: column-reverse;
  }
}

@media screen and (max-width: 768px) {
  .reason-box.box2 img {
    max-width: 100%;
  }

  .reason-box.box1,
  .reason-box.box2,
  .reason-box.box3 {
    margin-bottom: 3rem;
  }

  .reason-box.box4 {
    margin-bottom: 4rem;
  }
}

.parallax.reason-01 {
  max-width: 46%;
}

.parallax.reason-02 {
  max-width: 51%;
}

.parallax.reason-03 {
  max-width: 38%;
}

.parallax.reason-04 {
  max-width: 46%;
}

@media screen and (max-width: 960px) {

  .parallax.reason-01,
  .parallax.reason-02,
  .parallax.reason-03,
  .parallax.reason-04 {
    max-width: 100%;
  }
}

.reason-header {
  margin-bottom: 72px;
}

@media screen and (max-width: 640px) {
  .reason-header {
    margin-bottom: 3.5rem;
  }
}

@media screen and (max-width: 640px) {
  .reason-header-txt {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-bottom: 3.5rem;
  }
}

.reason-btn {
  margin-inline: auto;
  margin-top: 40px;
}

/* works */
@media screen and (max-width: 960px) {
  .c-head2.works-catch {
    margin-bottom: 48px;
  }
}

.works.c-section,
.works-inner.c-section-inner,
.works-box {
  overflow: visible !important;
  transform: none !important;
}

.works {
  overflow: visible;
}

.works-inner {
  overflow: visible !important;
  padding-block: 4.375rem 0;
}

.works-subCatch {
  margin-bottom: 8px;
}

.works-box {
  display: flex;
  align-items: flex-start;
  gap: clamp(24px, 4vw, 80px);
  overflow: visible;
  /* min-height: 300vh; */
}

.works-box-inner {
  min-width: 0;
}

.works-box-inner.lg {
  width: 45%;
  position: sticky;
  top: 0;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}


.works-box-inner.lg img {
  position: absolute;
  inset: 0;

  opacity: 0;
  clip-path: inset(100% 0 0 0);
}

.works-box-inner.rg {
  width: 52%;
}


.works-box-imgbox {
  position: relative;
  width: 100%;
  max-width: 520px;
  aspect-ratio: 4 / 5;
}

.works-box-imgbox img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  clip-path: inset(100% 0 0 0);
}

.works-box-imgbox img:first-child {
  opacity: 1;
  clip-path: inset(0);
}

@media screen and (max-width: 768px) {
  .works-box {
    flex-direction: column-reverse;
  }
  .works-inner {
    padding-block: 4.5rem 0;
  }
  .works-box-imgbox {
    top: 0;
  }

  .works-box-inner.rg {
    width: 100%;
    padding-bottom: 24px;
  }

  .works-box-inner.lg {
    display: none;
  }

}

.works-head {
  display: flex;
  align-items: center;
  gap: 0.75em;
  padding-bottom: 0.75em;
  margin-bottom: 1em;
  border-bottom: 1px solid var(--color-green-light2);
}

.works-head img {
  width: 54px;
  height: 54px;
  aspect-ratio: 1 / 1;
}

.works-head3 {
  font-size: 1.35rem;
  font-family: serif;
}

.works-item {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* padding-top: 200px;
  padding-bottom: 200px; */
  padding: 0;
}

@media screen and (max-width: 960px) {
  .works-item {
    min-height: auto;
    margin-bottom: var(--div-mb-sp);
  }

  .works-item:last-child {
    min-height: inherit;
    margin-bottom: 0;
  }
}

@media screen and (min-width: 769px) {
  .works-item-img-sp {
    display: none;
  }

}

@media screen and (max-width: 768px) {
  .works-item {
    padding-top: 0;
    padding-bottom: 0;
  }

  .works-item-img-sp {
    padding-bottom: 3rem;
  }

  .works-item:first-child {
    padding-top: 0;
  }
}

@media screen and (max-width: 480px) {
  .works-txt {
    text-align: justify;
  }
}

.staff-list {
  display: flex;
  gap: 64px;
  flex-direction: column;
}

.staff-item {
  display: flex;
  flex-direction: row;
  gap: 32px;
}

.staff-item img {
  aspect-ratio: 6 / 4;
  object-fit: cover;
  width: calc(49.999% - 32px);
}

.staff-name {
  font-size: 1.35rem;
  font-family: serif;
  margin-bottom: 8px;
  border-bottom: 1px solid var(--color-green);
}

@media screen and (max-width: 768px) {
  .staff-list {
    justify-content: center;
  }

  .staff-item {
    flex-direction: column;
    gap: 24px;
  }

  .staff-item img {
    width: 100%;
  }

  .staff-name {
    margin-bottom: 8px;
  }
}

/* img-separate */

.img-separate {
  position: relative;
  height: clamp(240px, 52vw, 520px);
  overflow: hidden;
}

.img-separate-bg {
  position: absolute;
  inset: -20% 0;
  width: 100%;
  height: 120%;
  object-fit: cover;
  will-change: transform;
}

@media screen and (max-width: 640px) {
  .img-separate {
    height: 60vh;
  }
}

/* column */
.column-inner {
  display: flex;
  gap: clamp(40px, 4.5vw, 100px);
  align-items: flex-start;
  padding-left: var(--padding-x);
}

@media screen and (max-width: 960px) {
  .column-inner {
    flex-direction: column;
    padding-left: var(--padding-x-sp);
    padding-right: var(--padding-x-sp);
    gap: 0;
  }
}

.column-wrap.lg {
  width: 29%;
}

.column-wrap.rg {
  overflow: hidden;
  width: 73%;
  padding-right: 0%;
}

@media screen and (max-width: 960px) {
  .column-wrap.lg {
    width: 100%;
  }

  .column-wrap.rg {
    width: 100%;
    overflow: hidden;
    padding-right: 0;
  }

}

.column-list {
  display: flex;
  gap: 24px;
  will-change: transform;
  margin-bottom: 2rem;
  touch-action: pan-y;
}

.column-item a {
  pointer-events: none;
  display: block;
  margin-bottom: 10px;
}

.column-item {
  flex: 0 0 calc((100% - 48px) / 3);
}

.column-item-link img {
  aspect-ratio: 4 / 5;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

@media screen and (max-width: 480px) {
  .column-list {
    display: flex;
    gap: 24px;
    margin-bottom: 2rem;
    will-change: transform;
    touch-action: pan-y;
  }

  .column-item {
    flex: 0 0 80%;
  }

  .column-item img {
    width: 100%;
  }
}

.column-txt {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  /* 2行まで */
  -webkit-box-orient: vertical;
  overflow: hidden;
}

/* controls */
.column-controls {
  display: flex;
  justify-content: end;
  gap: 12px;
}

.column-controls button {
  cursor: pointer;
}

.controls-btn {
  background: initial;
  border: none;
}

.controls-btn svg path {
  transition: fill 0.3s ease;
}

.controls-btn:hover svg path {
  fill: var(--color-green);
  /* 緑 */
}

/* progress bar */
.column-progress {
  width: 100%;
  height: 4px;
  background: #eee;
  overflow: hidden;
}

.column-progress .bar {
  height: 100%;
  width: 0%;
  background: var(--color-green);
  transition: width 0.4s ease;
  border-radius: 100px;
}

.column-head2 {
  font-size: 2.25rem;
}

@media screen and (max-width: 680px) {
  .column-head2 {
    font-size: 1.65rem;
  }
}

.column-txt {
  font-size: 0.875rem;
}

.column-head {
  font-size: 1rem;
  margin-bottom: 1em;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;

}

.column-bottom {
  display: flex;
  align-items: center;
  gap: 5%;
}

@media screen and (max-width: 960px) {
  .column-bottom {
    gap: 16px;
    align-items: center;
  }
}

/* medical */
.medical-inner.c-section-inner{
  padding-block: 0 4.375rem;
}
.medical-column-inner {
  --gap: 40px;
  display: flex;
  gap: var(--gap);
  justify-content: center;
  align-items: center;
}

.medical-link {
  max-width: 360px;
  width: calc(50% - var(--gap)) ;
}
.medical-link img{
  margin-inline: auto;
  display: block;
}
.medical-headbox {
  padding-bottom: var(--cotents-pb);
}
@media screen and (max-width: 768px) {
  .medical-column-inner {
    flex-wrap: wrap;
  }
  .medical-inner.c-section-inner{
    padding-block: 0;
  }
  .medical-link {
    width:  calc(50% - var(--gap));
  }

  .medical-headbox {
    padding-bottom: var(--cotents-pb-sp);
  }
}
/* voice */
.voice-list {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  justify-content: center;
}

@media screen and (max-width: 960px) {
  .voice-list {
    flex-direction: column;
    margin-inline: var(--padding-x);
  }
}

.voice-item {
  background: var(--color-white);
  width: calc(90% / 3);
  padding: 24px 32px;
}

.voice-item-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid var(--color-green-light2);
  margin-bottom: 1.7em;
  padding-bottom: 1.7em;
}

@media screen and (max-width: 960px) {
  .voice-item {
    width: 100%;
  }
}

.voice-img {
  aspect-ratio: 1 / 1;
  width: 32%;
}

.voice-item-top img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.voice-item-top-txtBox {
  width: 60%;
}

.voice-persona {
  font-size: 14px;
  line-height: 1.7;
}

.voice-item-bottom-txtBox {
  font-size: 0.875rem;
}

@media screen and (max-width: 960px) {
  .voice-img {
    max-width: 164px;
  }

  .voice-item-top {
    justify-content: center;
    gap: 2rem;
  }

  .voice-item {
    max-width: 640px;
    margin-inline: auto;
  }

  .voice-item-top-txtBox {
    width: fit-content;
  }
}

/* access */
.access-inner {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: var(--column-padding);
}

@media screen and (max-width: 960px) {
  .access-inner {
    /* flex-direction: column-reverse; */
    gap: 40px;
  }
}

@media screen and (max-width: 640px) {
  .access-inner {
    flex-direction: column-reverse;
    gap: var(--div-mb-sp);
  }
}

.access-head2 {
  border-bottom: 1px solid var(--color-green-light2);
  margin-bottom: 32px;
  padding-bottom: 16px;
  line-height: 1;
}

.access-head3 {
  background: var(--color-green);
  color: var(--color-white);
  padding: 0.05em 0.4em;
  font-family: serif;
  font-size: 1.25rem;
  width: fit-content;
  margin-bottom: 24px;
}

@media screen and (max-width: 480px) {
  .access-head3 {
    margin-inline: auto;
    width: 100%;
  }
}

.access-Lg {
  width: 60%;
}

.access-Lg iframe {
  width: 100%;
}

.access-Rg {
  width: 40%;
}

@media screen and (max-width: 960px) {
  .access-Lg {
    width: 100%;
  }

  .access-Rg {
    width: 100%;
  }
}

.access-txt {
  margin-bottom: 16px;
}

.access-tel-link {
  color: var(--color-black);
  line-height: 1;
}
.access-tel-link .border-btm {
  font-size: 24px;
  border-bottom: 1px solid var(--color-black);
}

@media screen and (max-width: 960px) {
  .access-tel-link .border-btm {
    font-size: 20px;
  } 
}